import * as APIGateway from '@aws-sdk/client-api-gateway';
import { ILogger } from 'typescript-ilogger';
import { BaseClass } from 'typescript-helper-functions';
import { IAPIGatewayHelper } from './interface';
export declare class APIGatewayHelper extends BaseClass implements IAPIGatewayHelper {
    private Repository;
    constructor(logger: ILogger, repository?: APIGateway.APIGateway, options?: APIGateway.APIGatewayClientConfig);
    CreateApiKeyAsync(name: string, description: string, value?: string): Promise<APIGateway.ApiKey>;
    CreateUsagePlanAsync(name: string, description: string, apiStages: APIGateway.ApiStage[], quota?: APIGateway.QuotaSettings, throttle?: APIGateway.ThrottleSettings): Promise<APIGateway.UsagePlan>;
    CreateUsagePlanKeyAsync(keyId: string, keyType: string, usagePlanId: string): Promise<APIGateway.UsagePlanKey>;
    DeleteApiKeyAsync(apiKey: string): Promise<any>;
    DeleteUsagePlanAsync(usagePlanId: string): Promise<any>;
    DeleteUsagePlanKeyAsync(keyId: string, usagePlanId: string): Promise<any>;
    GetApiKeyAsync(apiKey: string): Promise<APIGateway.ApiKey>;
}
